IF EXISTS (SELECT * FROM [dbo].[NameProperties] WHERE [OID]='1.2.643.100.1')
BEGIN
	UPDATE [dbo].[NameProperties] 
		SET [DisplayName] = '', [DisplayOrder] = '21'
			WHERE [OID]='1.2.643.100.1'
			
	RETURN 			  
END

IF EXISTS (SELECT * FROM tempdb..sysobjects WHERE id=OBJECT_ID('tempdb..#tmpNameProperties')) DROP TABLE #tmpNameProperties

CREATE TABLE #tmpNameProperties (
	[NamePropID] [int],
	[DisplayOrder] [int],
	[OID] [varchar](50),
	[Alias] [varchar](50),
	[DisplayName] [varchar](50),
	[SubjectName] [varchar](50),
	[MinLen] [int],
	[MaxLen] [int],
	[PropCount] [int],
	[ObligatoryCount] [int],
	[ADAttribute] [varchar] (50)
) 



INSERT INTO #tmpNameProperties (
	[NamePropID], [DisplayOrder], [OID], [Alias], [DisplayName], [SubjectName], [MinLen], 
	[MaxLen], [PropCount], [ObligatoryCount], [ADAttribute] )
SELECT 
	[NamePropID], [DisplayOrder], [OID], [Alias], [DisplayName], [SubjectName], [MinLen], 
	[MaxLen], [PropCount], [ObligatoryCount], [ADAttribute] 
FROM
	[dbo].[NameProperties]
ORDER BY 
	[NamePropID]


DELETE FROM [dbo].[NameProperties]


SET IDENTITY_INSERT [NameProperties] ON

INSERT INTO [dbo].[NameProperties] (
	[NamePropID], [DisplayOrder], [OID], [Alias], [DisplayName], [SubjectName], [MinLen], 
	[MaxLen], [PropCount], [ObligatoryCount], [ADAttribute] )
VALUES
	(1, 21, '1.2.643.100.1',	'OGRN', '',	'OGRN',	1,	13,	1,	0,	NULL)

INSERT INTO [dbo].[NameProperties](
	[NamePropID], [DisplayOrder], [OID], [Alias], [DisplayName], [SubjectName], [MinLen], 
	[MaxLen], [PropCount], [ObligatoryCount], [ADAttribute] )
SELECT 
	[NamePropID] + 1, [DisplayOrder], [OID], [Alias], [DisplayName], [SubjectName], [MinLen], 
	[MaxLen], [PropCount], [ObligatoryCount], [ADAttribute] 
FROM
	#tmpNameProperties
ORDER BY 
	[NamePropID]

SET IDENTITY_INSERT [NameProperties] OFF


DROP TABLE #tmpNameProperties